Bug 216685 - [NEW PORT] net-mgmt/networkmgr
Summary: [NEW PORT] net-mgmt/networkmgr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kirill Ponomarev
URL: https://github.com/GhostBSD/networkmgr
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-01 02:19 UTC by Eric Turgeon
Modified: 2017-02-06 09:06 UTC (History)
1 user (show)

See Also:


Attachments
NetworkMgr Ports shar (5.02 KB, application/x-shar)
2017-02-01 02:19 UTC, Eric Turgeon
no flags Details
new netwrokmgr shar (5.06 KB, application/x-shar)
2017-02-01 10:33 UTC, Eric Turgeon
no flags Details
New shar file with pkg-message (4.13 KB, application/x-shar)
2017-02-05 13:42 UTC, Eric Turgeon
no flags Details
New and fixed shar (4.77 KB, application/x-shar)
2017-02-05 17:02 UTC, Kirill Ponomarev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Turgeon 2017-02-01 02:19:59 UTC
Created attachment 179486 [details]
NetworkMgr Ports shar

I made a port of NetworkMgr the Network Manager that is developed for GhostBSD, it is useful for all GTK Desktop like XFCE and MATE,it make managing WiFi connection a bit easier for user. It is tested and work on amd64 and i386.
Comment 1 Kirill Ponomarev freebsd_committer 2017-02-01 05:57:27 UTC
Take.
Comment 2 Kirill Ponomarev freebsd_committer 2017-02-01 07:21:23 UTC
Please, use ${PKG_PREFIX}instead of hardcoded /usr/local in pkg-install
Comment 3 Eric Turgeon 2017-02-01 10:33:58 UTC
Created attachment 179490 [details]
new netwrokmgr shar

I have change all /usr/local for ${PKG_PREFIX}
Comment 4 Kirill Ponomarev freebsd_committer 2017-02-04 21:20:20 UTC
Please, take a look at https://reviews.freebsd.org/D9405

I would accept the changes mat@ proposed to remove left-overs, would you like to fix it, or I can change it as well as you wish.
Comment 5 Eric Turgeon 2017-02-05 06:03:45 UTC
The change the license and the if grep, he also talked that eh did not like that this port configure an other, but doas.conf by default does not exist.

I can also add pkg deinstall to remove the line when deinstalling the port

The syntax of the BSD license is not clear to me is it BSD2CLAUSE?
Comment 6 Kirill Ponomarev freebsd_committer 2017-02-05 08:43:05 UTC
The idea behind his comment is not to install doas.conf at all, the same way security/doas does. We can whether

a) create an example file and put it into ${EXAMPLESDIR} with pkg-message for its location
b) not create example, but just create pkg-message like security/doas and put smth like:

============================================================
To use doas,

%%ETCDIR%%/doas.conf

must be created.

Refer to doas.conf(5).
============================================================

It's up to you which way you'd like to go.

Yes, we have to use BSD2CLAUSE in this port.
Comment 7 Eric Turgeon 2017-02-05 13:42:29 UTC
Created attachment 179643 [details]
New shar file with pkg-message

I have remove pkg-install and add pkg-message
Comment 8 Kirill Ponomarev freebsd_committer 2017-02-05 17:02:07 UTC
Created attachment 179649 [details]
New and fixed shar

Here is new shar version, which fixed plist which was broken, modified wording in pkg-message and slightly new Makefile. Please review.
Comment 9 Eric Turgeon 2017-02-05 17:37:38 UTC
Look fine! I am happy with that.
Comment 10 Kirill Ponomarev freebsd_committer 2017-02-05 19:37:47 UTC
Does this need bin/python2 ? If not, can we use`USES=python:2.7` ?
Comment 11 Eric Turgeon 2017-02-05 22:54:23 UTC
Yes you can change it for 2.7
Comment 12 commit-hook freebsd_committer 2017-02-06 09:05:04 UTC
A commit references this bug:

Author: krion
Date: Mon Feb  6 09:04:46 UTC 2017
New revision: 433479
URL: https://svnweb.freebsd.org/changeset/ports/433479

Log:
  NetworkMgr is an open source, Network Manager based on the look of the Linux
  Network Manager user interface. It use ifconfig and netif if make all work.

  WWW: https://github.com/GhostBSD/networkmgr

  PR:		216685
  Submitted by:	ericturgeon.bsd@gmail.com
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9405

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/networkmgr/
  head/net-mgmt/networkmgr/Makefile
  head/net-mgmt/networkmgr/distinfo
  head/net-mgmt/networkmgr/files/
  head/net-mgmt/networkmgr/files/pkg-message.in
  head/net-mgmt/networkmgr/pkg-descr
  head/net-mgmt/networkmgr/pkg-plist